Skip to main content
POST
Retry a run

Headers

x-api-key
string | null
x-max-steps-override
integer | null
x-user-agent
string | null

Path Parameters

workflow_run_id
string
required

The id of the workflow run to retry.

Example:

"wr_123"

Response

Successfully retried workflow run

run_id
string
required

Unique identifier for this run. Run ID starts with tsk_ for task runs and wr_ for workflow runs.

Examples:

"tsk_123"

"tsk_v2_123"

"wr_123"

status
enum<string>
required

Current status of the run

Available options:
created,
queued,
running,
paused,
timed_out,
failed,
terminated,
completed,
canceled
Examples:

"created"

"queued"

"running"

"paused"

"timed_out"

"failed"

"terminated"

"completed"

"canceled"

created_at
string<date-time>
required

Timestamp when this run was created

Example:

"2025-01-01T00:00:00Z"

modified_at
string<date-time>
required

Timestamp when this run was last modified

Example:

"2025-01-01T00:05:00Z"

run_type
string
required

Type of run - always workflow_run for workflow runs

Allowed value: "workflow_run"
output

Output data from the run, if any. Format/schema depends on the data extracted by the run.

downloaded_files
FileInfo · object[] | null

List of files downloaded during the run

recording_url
string | null

URL to the recording of the run

recording_archived
boolean
default:false

True when the recording exists but has been archived to cold storage and is not currently accessible.

screenshot_urls
string[] | null

List of last n screenshot URLs in reverse chronological order - the first one the list is the latest screenshot.

failure_reason
string | null

Reason for failure if the run failed or terminated

queued_at
string<date-time> | null

Timestamp when this run was queued

started_at
string<date-time> | null

Timestamp when this run started execution

finished_at
string<date-time> | null

Timestamp when this run finished

app_url
string | null

URL to the application UI where the run can be viewed

Example:

"https://app.skyvern.com/tasks/tsk_123"

browser_session_id
string | null

ID of the Skyvern persistent browser session used for this run

Example:

"pbs_123"

browser_profile_id
string | null

ID of the browser profile used for this run

Example:

"bp_123"

max_screenshot_scrolls
integer | null

The maximum number of scrolls for the post action screenshot. When it's None or 0, it takes the current viewpoint screenshot

script_run
ScriptRunResponse · object | null

The script run result

errors
Errors · object[] | null

The errors for the run

step_count
integer | null

Total number of steps executed in this run

attempt
integer
default:1

One-based number of the current workflow run attempt

retry_pending
boolean
default:false

Whether another attempt is scheduled for this workflow run

next_attempt_at
string<date-time> | null

Timestamp when the next workflow run attempt is scheduled

attempts
WorkflowRunAttempt · object[]

Attempts recorded for this workflow run

run_with
string
default:agent

Whether the workflow run was executed with agent or code

Examples:

"agent"

"code"

ai_fallback
boolean | null

Whether to fallback to AI if code run fails.

script_id
string | null

ID of the cached script used for this workflow run, if any.

browser_seed_source
enum<string> | null

Which layer of the seed-precedence chain seeded this run's browser (provenance).

Available options:
override,
picked,
own_memory,
credential,
fresh,
degraded_fresh
Example:

"credential"

browser_settings_receipt
BrowserSettingsReceipt · object | null

The timezone the run's browser reported against the one its workflow version requested. Null when the version requests no browser settings or the browser has not been measured yet.

run_request
WorkflowRunRequest · object | null

The original request parameters used to start this workflow run